<?php 

	$disco_night_club_custom_style = '';

	// Logo Size
	$disco_night_club_logo_top_padding = get_theme_mod('disco_night_club_logo_top_padding');
	$disco_night_club_logo_bottom_padding = get_theme_mod('disco_night_club_logo_bottom_padding');
	$disco_night_club_logo_left_padding = get_theme_mod('disco_night_club_logo_left_padding');
	$disco_night_club_logo_right_padding = get_theme_mod('disco_night_club_logo_right_padding');

	if( $disco_night_club_logo_top_padding != '' || $disco_night_club_logo_bottom_padding != '' || $disco_night_club_logo_left_padding != '' || $disco_night_club_logo_right_padding != ''){
		$disco_night_club_custom_style .=' .logo {';
			$disco_night_club_custom_style .=' padding-top: '.esc_attr($disco_night_club_logo_top_padding).'px; padding-bottom: '.esc_attr($disco_night_club_logo_bottom_padding).'px; padding-left: '.esc_attr($disco_night_club_logo_left_padding).'px; padding-right: '.esc_attr($disco_night_club_logo_right_padding).'px;';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_site_title_color = get_theme_mod('disco_night_club_site_title_color');
	if ( $disco_night_club_site_title_color != '') {
		$disco_night_club_custom_style .=' h1.site-title a, p.site-title a {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_site_title_color).';';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_site_tagline_color = get_theme_mod('disco_night_club_site_tagline_color');
	if ( $disco_night_club_site_tagline_color != '') {
		$disco_night_club_custom_style .=' p.site-description {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_site_tagline_color).';';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_logo_size = get_theme_mod('disco_night_club_logo_size');
	if( $disco_night_club_logo_size != '' ) {
		if($disco_night_club_logo_size >= 0 && $disco_night_club_logo_size <= 100) {
			$calculated_width = $disco_night_club_logo_size * 3.5;
			$disco_night_club_custom_style .= ' .custom-logo-link img {';
			$disco_night_club_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$disco_night_club_custom_style .= ' }';
		}
	}

	//layout width
	$disco_night_club_boxfull_width = get_theme_mod('disco_night_club_boxfull_width');
	if ($disco_night_club_boxfull_width !== '') {
		switch ($disco_night_club_boxfull_width) {
			case 'container':
				$disco_night_club_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$disco_night_club_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$disco_night_club_dropdown_anim = get_theme_mod('disco_night_club_dropdown_anim');

	if ( $disco_night_club_dropdown_anim != '') {
		$disco_night_club_custom_style .=' .nav-menu ul ul {';
			$disco_night_club_custom_style .=' animation:'.esc_attr($disco_night_club_dropdown_anim).' 1s ease;';
		$disco_night_club_custom_style .=' }';
	}

	//Header color
	$disco_night_club_menu_color = get_theme_mod('disco_night_club_menu_color');
	if ( $disco_night_club_menu_color != '') {
		$disco_night_club_custom_style .=' .nav-menu ul li a {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_menu_color).';';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_submenu_color = get_theme_mod('disco_night_club_submenu_color');
	$disco_night_club_submenubg_color = get_theme_mod('disco_night_club_submenubg_color');
	if ( $disco_night_club_submenu_color != '') {
		$disco_night_club_custom_style .=' .nav-menu ul li li a {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_submenu_color).'; background-color:'.esc_attr($disco_night_club_submenubg_color).';';
		$disco_night_club_custom_style .=' }';
	}

	//Banner color
	$disco_night_club_bannertitle_font_size = get_theme_mod('disco_night_club_bannertitle_font_size');
	if ( $disco_night_club_bannertitle_font_size != '') {
		$disco_night_club_custom_style .=' #banner h2 {';
			$disco_night_club_custom_style .=' font-size:'.esc_attr($disco_night_club_bannertitle_font_size).'px;';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_bannerdescription_font_size = get_theme_mod('disco_night_club_bannerdescription_font_size');
	if ( $disco_night_club_bannerdescription_font_size != '') {
		$disco_night_club_custom_style .=' #banner p {';
			$disco_night_club_custom_style .=' font-size:'.esc_attr($disco_night_club_bannerdescription_font_size).'px;';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_banner_title_color = get_theme_mod('disco_night_club_banner_title_color');
	if ( $disco_night_club_banner_title_color != '') {
		$disco_night_club_custom_style .=' #banner h2 {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_banner_title_color).';';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_banner_text_color = get_theme_mod('disco_night_club_banner_text_color');
	if ( $disco_night_club_banner_text_color != '') {
		$disco_night_club_custom_style .=' #banner p {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_banner_text_color).';';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_banner_btn_color = get_theme_mod('disco_night_club_banner_btn_color');
	$disco_night_club_banner_btnbg_color = get_theme_mod('disco_night_club_banner_btnbg_color');
	if ( $disco_night_club_banner_btn_color != '') {
		$disco_night_club_custom_style .=' #banner a.read-btn {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_banner_btn_color).'; background-color:'.esc_attr($disco_night_club_banner_btnbg_color).';';
		$disco_night_club_custom_style .=' }';
	}

	//Feature color
	$disco_night_club_section_titleservice_font_size = get_theme_mod('disco_night_club_section_titleservice_font_size');
	if ( $disco_night_club_section_titleservice_font_size != '') {
		$disco_night_club_custom_style .=' #feature-section .feature-head h3 {';
			$disco_night_club_custom_style .=' font-size:'.esc_attr($disco_night_club_section_titleservice_font_size).'px;';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_section_subtitleservice_font_size = get_theme_mod('disco_night_club_section_subtitleservice_font_size');
	if ( $disco_night_club_section_subtitleservice_font_size != '') {
		$disco_night_club_custom_style .=' #feature-section .feature-head p {';
			$disco_night_club_custom_style .=' font-size:'.esc_attr($disco_night_club_section_subtitleservice_font_size).'px;';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_features_title_color = get_theme_mod('disco_night_club_features_title_color');
	if ( $disco_night_club_features_title_color != '') {
		$disco_night_club_custom_style .=' #feature-section .feature-head h3 {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_features_title_color).';';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_features_subtitle_color = get_theme_mod('disco_night_club_features_subtitle_color');
	if ( $disco_night_club_features_subtitle_color != '') {
		$disco_night_club_custom_style .=' #feature-section .feature-head p {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_features_subtitle_color).';';
		$disco_night_club_custom_style .=' }';
	}

	//Service color
	$disco_night_club_service_title_color = get_theme_mod('disco_night_club_service_title_color');
	if ( $disco_night_club_service_title_color != '') {
		$disco_night_club_custom_style .=' #service-section .service-head h3 {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_service_title_color).';';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_service_subtitle_color = get_theme_mod('disco_night_club_service_subtitle_color');
	if ( $disco_night_club_service_subtitle_color != '') {
		$disco_night_club_custom_style .=' #service-section .service-head p {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_service_subtitle_color).';';
		$disco_night_club_custom_style .=' }';
	}

	//Copyright color
	$disco_night_club_footer_copy_color = get_theme_mod('disco_night_club_footer_copy_color');
	if ( $disco_night_club_footer_copy_color != '') {
		$disco_night_club_custom_style .=' .site-info p, .site-info a {';
			$disco_night_club_custom_style .=' color:'.esc_attr($disco_night_club_footer_copy_color).';';
		$disco_night_club_custom_style .=' }';
	}

	$disco_night_club_footer_copybg_color = get_theme_mod('disco_night_club_footer_copybg_color');
	if ( $disco_night_club_footer_copybg_color != '') {
		$disco_night_club_custom_style .=' .copyright {';
			$disco_night_club_custom_style .=' background:'.esc_attr($disco_night_club_footer_copybg_color).'75;';
		$disco_night_club_custom_style .=' }';
	}